%% CDF for sub-clusters, all densities, NOT normalized

rhos = 0.03:0.01:0.12;
n = length(rhos);
path = sprintf("../cdf/rho_dependence");
c = 0:1/n:1;

x = 0:1999;
area = [];
for i = 1:n
    filename = sprintf("%s/cdf_%g.dat", path, rhos(i));
    fid = fopen(filename);
    X = textscan(fid, '%f', 'HeaderLines', 1);
    y = X{1};
    fclose(fid);
    s = sum(y);
    y = y * 1000;
    area = [area, sum(y(1:7))];
end

plot(rhos, area, 'linewidth',1);
%set(gca, 'YScale', 'log');
set(gcf,'Position',[0 0 180 120]);
%xlim([1, 7]);
%ylim([0, 0.4]);
xlabel('$\rho$', 'Interpreter', 'Latex', 'fontsize',12);
ylabel('weight', 'Interpreter', 'Latex', 'fontsize',12);
%title('Cluster Distribution Function in SALR');

set(gca,'fontsize',14);
set(gca,'fontname','Times New Roman');
xticks([0.03 0.06 0.09 0.12]);
%yticks([0 0.05 0.1 0.15]);
%ax = gca;
%ax.XAxis.MinorTick = 'on';

%% CDF for sub-clusters, all temperatures, NOT normalized

T = 0.5:0.05:0.85;
rho = 0.1;
n = length(T);
path = sprintf("../cdf/T_dependence");

c = 0:1/n:1;

x = 0:1999;
area = [];
for i = 1:n
    filename = sprintf("%s/cdf_T%g.dat", path, T(i));
    fid = fopen(filename);
    X = textscan(fid, '%f', 'HeaderLines', 1);
    y = X{1};
    fclose(fid);
    s = sum(y);
    y = y * 1000;
    area = [area, sum(y(1:7))];
end

plot(T, area, 'linewidth',1);
%set(gca, 'YScale', 'log');
set(gcf,'Position',[0 0 180 120]);
%xlim([1, 7]);
%ylim([0, 0.4]);
xlabel('$T$', 'Interpreter', 'Latex', 'fontsize',12);
ylabel('weight', 'Interpreter', 'Latex', 'fontsize',12);
%title('Cluster Distribution Function in SALR');
set(gca,'fontsize',14);
set(gca,'fontname','Times New Roman');
xticks([0.5 0.6 0.7 0.8]);