%% T - rho
addpath(genpath('..'));
label = {'(a)';'(b)'};

color = get(gca,'colororder');
figure(1);

fid = fopen('../h_rho/ccd_hrho.dat');
X1 = textscan(fid, '%f \t %f \t %f', 'HeaderLines', 1);
T1 = X1{1};
pc1 = X1{2};
h1 = X1{3};
fclose(fid);
plot(pc1(1:end), T1(1:end), '-*', 'color', color(4,:)', 'linewidth',1.5), hold on;

fid = fopen('../Cv/ccd_Cv.dat');
X2 = textscan(fid, '%f \t %f \t %f', 'HeaderLines', 1);
T2 = X2{1};
pc2 = X2{2};
h2 = X2{3};
fclose(fid);
plot(pc2, T2, '-d', 'color', color(1,:)', 'linewidth',1.5), hold on;

% ccd line
fid = fopen('../cdf/ccd_cdf.dat');
X3 = textscan(fid, '%f \t %f', 'HeaderLines', 1);
T3 = X3{1};
pc3 = X3{2};
fclose(fid);
plot(pc3, T3, '-s', 'color', color(6,:)', 'linewidth',1.5), hold on;

fid = fopen('../cadf/cadf_crossover.dat');
X4 = textscan(fid, '%f \t %f', 'HeaderLines', 1);
T4 = X4{1};
pc4 = X4{2};
fclose(fid);
plot(pc4, T4, '-o', 'color', color(3,:)', 'linewidth',1.5), hold on;

% particle finite size scaling
fid = fopen('../percolation/particles/rhoc_thermo_N.dat');
X5 = textscan(fid, '%f \t %f \t %f', 'HeaderLines', 1);
T5 = X5{1};
pc5 = X5{2};
err5 = X5{3};
fclose(fid);
%errorbar(pc, T, err, 'horizontal', '-d', 'color', color(4,:)', 'linewidth',1.5), hold on;
plot(pc5(1:end-1), T5(1:end-1), '-v', 'color', 'k', 'linewidth',1.5), hold on;

k = (T5(1) - T5(3)) / (pc5(1) - pc5(3));
x = (0.5 - T5(1)) / k + pc5(1);
y = 0.5;
plot([x, pc5(1)], [y, T5(1)], '--', 'color', 'k', 'linewidth',1.5), hold on; % low T

k = (T5(end) - T5(end-3)) / (pc5(end) - pc5(end-3));
x = (1.7842 - T5(end-1)) / k + pc5(end-1);
y = 1.7842;
plot([x, pc5(end-1)], [y, T5(end-1)], '-v', 'color', 'k', 'linewidth',1.5), hold on; % high T

% void finite size scaling
fid = fopen('../percolation/voids/rhoc_N_voids.dat');
X1 = textscan(fid, '%f \t %f \t %f', 'HeaderLines', 1);
T = X1{1};
pc = X1{2};
err = X1{3};
fclose(fid);
%errorbar(pc, T, err, 'horizontal', '-v', 'linewidth',1.5), hold on;
plot(pc(1:end-3), T(1:end-3), '-^', 'color', 'k', 'linewidth',1.5), hold on;

k = (T(1) - T(4)) / (pc(1) - pc(4));
x = (0.5 - T(1)) / k + pc(1);
y = 0.5;
plot([x, pc(1)], [y, T(1)], '--', 'color', 'k', 'linewidth',1.5), hold on; % low T

k = (T(end) - T(end-3)) / (pc(end) - pc(end-3));
x = (1.7842 - T(end)) / k + pc(end);
y = 1.7842;
plot([x, pc(end-3)], [y, T(end-3)], '-^', 'color', 'k', 'linewidth',1.5), hold on; % low T

% vcdf
fid = fopen('../vcdf/ccd_vcdf.dat');
X7 = textscan(fid, '%f \t %f', 'HeaderLines', 1);
T7 = X7{1};
pc7 = X7{2};
fclose(fid);
plot(pc7, T7, '-s', 'color', color(6,:)', 'linewidth',1.5), hold on;

% vadf
fid = fopen('../vadf/vadf_crossover.dat');
X8 = textscan(fid, '%f \t %f', 'HeaderLines', 1);
T8 = X8{1};
pc8 = X8{2};
fclose(fid);
plot(pc8, T8, '-o', 'color', color(3,:)', 'linewidth',1.5), hold on;

% order-disorder transition
pc_1 = [0.19, 0.24, 0.29, 0.375];
T_1 = [0.5, 0.55, 0.6, 0.6325];
pc_2 = [0.375, 0.45, 0.52, 0.54];
T_2 = [0.6325, 0.6, 0.55, 0.5];

area(pc_1, T_1, 'FaceColor', '[0.9569 0.6980 0.6941]', 'EdgeColor', 'none'), hold on;
area(pc_2, T_2, 'FaceColor', '[0.9569 0.6980 0.6941]', 'EdgeColor', 'none'), hold on;
%plot(pc_1, T_1, '-.', 'color', '[0.9176 0.2000 0.1373]', 'linewidth',1.5), hold on;
%plot(pc_2, T_2, '-.', 'color', '[0.9176 0.2000 0.1373]', 'linewidth',1.5), hold on;

pc_ = 0.375;  % error bar ~ 0.01?
T_ = 0.6325;  % error bar ~ 0.0125
plot(pc_, T_, '.', 'color', '[0.9176 0.2000 0.1373]', 'markersize',29), hold on;
%errorbar(pc_, T_, 0.0125, 0.0125, 0.005, 0.005, 'k.', 'markersize',29), hold on;

set(gcf,'Position',[100 100 560 420]);
set(gca,'fontsize',18); %14
set(gca,'fontname','Times New Roman');
xlim([0, 0.72]);
ylim([0.5, 1.8]);
set(gca, 'Layer', 'top');
xticks([0 0.1 0.2 0.3 0.4 0.5 0.6 0.7]);
xlabel('$\rho_c$', 'Interpreter', 'Latex', 'fontsize',20); %16
ylabel('$T$', 'Interpreter', 'Latex', 'fontsize',20); %16
%title('Phase Diagram of Disordered Microphases');
%text(-0.1, 1, label{1}, 'Units','normalized', 'fontname','Times New Roman', 'FontSize',16, 'color','k');

%% T - rho: cluster fluid (rescale)
addpath(genpath('..'));
label = {'(a)';'(b)'};

color = get(gca,'colororder');
figure(1);

fid = fopen('../h_rho/ccd_hrho.dat');
X1 = textscan(fid, '%f \t %f \t %f', 'HeaderLines', 1);
T1 = X1{1};
pc1 = X1{2};
h1 = X1{3};
fclose(fid);
plot(pc1(1:end), T1(1:end), '-*', 'color', color(4,:)', 'linewidth',1.5, 'MarkerSize',10), hold on;

fid = fopen('../Cv/ccd_Cv.dat');
X2 = textscan(fid, '%f \t %f \t %f', 'HeaderLines', 1);
T2 = X2{1};
pc2 = X2{2};
h2 = X2{3};
fclose(fid);
plot(pc2, T2, '-d', 'color', color(1,:)', 'linewidth',1.5, 'MarkerSize',10), hold on;

k = (T2(end) - T2(end-1)) / (pc2(end) - pc2(end-1));
x = (3.1 - T2(end)) / k + pc2(end);
y = 3.1;
plot([x, pc2(end)], [y, T2(end)], '-d', 'color', color(1,:)', 'linewidth',1.5), hold on; % high T

% ccd line
fid = fopen('../cdf/ccd_cdf.dat');
X3 = textscan(fid, '%f \t %f', 'HeaderLines', 1);
T3 = X3{1};
pc3 = X3{2};
fclose(fid);
plot(pc3, T3, '-s', 'color', color(6,:)', 'linewidth',1.5, 'MarkerSize',10), hold on;

fid = fopen('../cadf/cadf_crossover.dat');
X4 = textscan(fid, '%f \t %f', 'HeaderLines', 1);
T4 = X4{1};
pc4 = X4{2};
fclose(fid);
plot(pc4, T4, '-o', 'color', color(3,:)', 'linewidth',1.5, 'MarkerSize',10), hold on;

% particle finite size scaling
fid = fopen('../percolation/particles/rhoc_thermo_N.dat');
X5 = textscan(fid, '%f \t %f \t %f', 'HeaderLines', 1);
T5 = X5{1};
pc5 = X5{2};
err5 = X5{3};
fclose(fid);
%errorbar(pc5, T5, err5, 'horizontal', '-d', 'color', color(4,:)', 'linewidth',1.5, 'MarkerSize',10), hold on;
plot(pc5, T5, '-v', 'color', 'k', 'linewidth',1.5, 'MarkerSize',10), hold on;

k = (T5(1) - T5(3)) / (pc5(1) - pc5(3));
x = (0.5 - T5(1)) / k + pc5(1);
y = 0.5;
plot([x, pc5(1)], [y, T5(1)], '--', 'color', 'k', 'linewidth',1.5), hold on; % low T

k = (T5(end) - T5(end-1)) / (pc5(end) - pc5(end-1));
x = (3.1 - T5(end)) / k + pc5(end);
y = 3.1;
plot([x, pc5(end)], [y, T5(end)], '--', 'color', 'k', 'linewidth',1.5), hold on; % high T

% void finite size scaling
fid = fopen('../percolation/voids/rhoc_N_voids.dat');
X1 = textscan(fid, '%f \t %f \t %f', 'HeaderLines', 1);
T = X1{1};
pc = X1{2};
err = X1{3};
fclose(fid);
%errorbar(pc, T, err, 'horizontal', '-v', 'linewidth',1.5), hold on;
plot(pc(1:end-1), T(1:end-1), '-^', 'color', 'k', 'linewidth',1.5), hold on;

k = (T(1) - T(4)) / (pc(1) - pc(4));
x = (0.5 - T(1)) / k + pc(1);
y = 0.5;
plot([x, pc(1)], [y, T(1)], '-.', 'color', 'k', 'linewidth',1.5), hold on; % low T

k = (T(end) - T(end-1)) / (pc(end) - pc(end-1));
x = (3.1 - T(end)) / k + pc(end);
y = 3.1;
plot([x, pc(end-1)], [y, T(end-1)], '-^', 'color', 'k', 'linewidth',1.5), hold on; % low T

% vcdf
fid = fopen('../vcdf/ccd_vcdf.dat');
X7 = textscan(fid, '%f \t %f', 'HeaderLines', 1);
T7 = X7{1};
pc7 = X7{2};
fclose(fid);
plot(pc7, T7, '-s', 'color', color(6,:)', 'linewidth',1.5), hold on;

% vadf
fid = fopen('../vadf/vadf_crossover.dat');
X8 = textscan(fid, '%f \t %f', 'HeaderLines', 1);
T8 = X8{1};
pc8 = X8{2};
fclose(fid);
%plot(pc8, T8, '-o', 'color', color(3,:)', 'linewidth',1.5), hold on;

% order-disorder transition
pc_ = 0.375;  % error bar ~ 0.01?
T_ = 0.6325;  % error bar ~ 0.0125
plot(pc_, T_, '.', 'color', color(5,:)', 'markersize',29), hold on;
pc_1 = [0.19, 0.24, 0.29, 0.375];
T_1 = [0.5, 0.55, 0.6, 0.6325];
pc_2 = [0.375, 0.45, 0.52, 0.54];
T_2 = [0.6325, 0.6, 0.55, 0.5];
plot(pc_1, T_1, '-.', 'color', color(5,:)', 'linewidth',1.5), hold on;
plot(pc_2, T_2, '-.', 'color', color(5,:)', 'linewidth',1.5), hold on;


set(gcf,'Position',[100 100 560 420]);
set(gca,'fontsize',14);
set(gca,'fontname','Times New Roman');
xlim([0, 0.18]);
ylim([0.5, 1]);
xticks([0 0.03 0.06 0.09 0.12 0.15 0.18]);
yticks([0.5 0.6 0.7 0.8 0.9 1.0]);
xlabel('$\rho_c$', 'Interpreter', 'Latex', 'fontsize',16);
ylabel('$T$', 'Interpreter', 'Latex', 'fontsize',16);
%title('Phase Diagram of Cluster Fluids');
text(-0.1, 1, label{2}, 'Units','normalized', 'fontname','Times New Roman', 'FontSize',16, 'color','k');
